## gwyoptionmenus gwyoptionmenus — Resource selectors |

## Functions

GtkWidget * | gwy_menu_gradient ()
GtkWidget * | gwy_gradient_selection_new ()
GtkWidget * | gwy_gradient_tree_view_new ()
gboolean | gwy_gradient_tree_view_set_active ()
const gchar * | gwy_gradient_selection_get_active ()
void | gwy_gradient_selection_set_active ()
GtkWidget * | gwy_menu_gl_material ()
GtkWidget * | gwy_gl_material_selection_new ()
GtkWidget * | gwy_gl_material_tree_view_new ()
gboolean | gwy_gl_material_tree_view_set_active ()
const gchar * | gwy_gl_material_selection_get_active ()
void | gwy_gl_material_selection_set_active ()
gboolean | gwy_resource_tree_view_set_active ()

## Includes

    #include <libgwydgets/gwydgets.h>

## Description

## Functions

### gwy_menu_gradient ()

    GtkWidget *
    gwy_menu_gradient (GCallback callback,
                       gpointer cbdata);

Creates a pop-up gradient menu.

Object data `"gradient-name"` is set to gradient name for each menu item.

#### Parameters

callback | A callback called when a menu item is activated (or `NULL` for none). |
cbdata | User data passed to the callback. |

#### Returns

The newly created pop-up menu as GtkWidget.

### gwy_gradient_selection_new ()

    GtkWidget *
    gwy_gradient_selection_new (GCallback callback,
                                gpointer cbdata,
                                const gchar *active);

Creates a gradient selection button.

#### Parameters

callback | Callback to connect to "changed" signal of tree view selection (or `NULL` for none). |
cbdata | User data passed to `callback` . |
active | Gradient name to be shown as currently selected (or `NULL` for default). |

#### Returns

The newly created gradient selection button as GtkWidget.

### gwy_gradient_tree_view_new ()

    GtkWidget *
    gwy_gradient_tree_view_new (GCallback callback,
                                gpointer cbdata,
                                const gchar *active);

Creates a tree view with gradient list.

#### Parameters

callback | Callback to connect to "changed" signal of tree view selection (or `NULL` for none). |
cbdata | User data passed to `callback` . |
active | Gradient name to be shown as currently selected (or `NULL` for default). |

#### Returns

The newly created gradient tree view as GtkWidget.

### gwy_gradient_tree_view_set_active ()

    gboolean
    gwy_gradient_tree_view_set_active (GtkWidget *treeview,
                                       const gchar *active);

Selects a gradient in a gradient list and scrolls to make it visible.

#### Parameters

treeview | A gradient selector tree view. |
active | Gradient name to be shown as currently selected. |

#### Returns

`TRUE` if `active` was selected, `FALSE` if there is no such gradient.

### gwy_gradient_selection_get_active ()

    const gchar *
    gwy_gradient_selection_get_active (GtkWidget *selection);

Gets the name of currently selected gradient of a selection button.

#### Parameters

selection | Gradient selection button. |

#### Returns

Name as a string owned by the selected gradient.

### gwy_gradient_selection_set_active ()

    void
    gwy_gradient_selection_set_active (GtkWidget *selection,
                                       const gchar *active);

Sets the currently selected gradient of a selection button.

#### Parameters

selection | Gradient selection button. |
active | Gradient name to be shown as currently selected. |

### gwy_menu_gl_material ()

    GtkWidget *
    gwy_menu_gl_material (GCallback callback,
                          gpointer cbdata);

Creates a pop-up GL material menu.

Object data `"gl-material-name"` is set to GL material name for each menu item.

#### Parameters

callback | A callback called when a menu item is activated (or `NULL` for none). |
cbdata | User data passed to the callback. |

#### Returns

The newly created pop-up menu as GtkWidget.

### gwy_gl_material_selection_new ()

    GtkWidget *
    gwy_gl_material_selection_new (GCallback callback,
                                   gpointer cbdata,
                                   const gchar *active);

Creates a GL material selection button.

#### Parameters

callback | Callback to connect to "changed" signal of tree view selection (or `NULL` for none). |
cbdata | User data passed to `callback` . |
active | GL material name to be shown as currently selected (or `NULL` for default). |

#### Returns

The newly created GL material selection button as GtkWidget.

### gwy_gl_material_tree_view_new ()

    GtkWidget *
    gwy_gl_material_tree_view_new (GCallback callback,
                                   gpointer cbdata,
                                   const gchar *active);

Creates a tree view with GL material list.

#### Parameters

callback | Callback to connect to "changed" signal of tree view selection (or `NULL` for none). |
cbdata | User data passed to `callback` . |
active | GL material name to be shown as currently selected (or `NULL` for default). |

#### Returns

The newly created GL material tree view as GtkWidget.

### gwy_gl_material_tree_view_set_active ()

    gboolean
    gwy_gl_material_tree_view_set_active (GtkWidget *treeview,
                                          const gchar *active);

Selects a GL material in a GL material list and scrolls to make it visible.

#### Parameters

treeview | A GL material selector tree view. |
active | GL material name to be shown as currently selected. |

#### Returns

`TRUE` if `active` was selected, `FALSE` if there is no such GL material.

### gwy_gl_material_selection_get_active ()

    const gchar *
    gwy_gl_material_selection_get_active (GtkWidget *selection);

Gets the name of currently selected GL material of a selection button.

#### Parameters

selection | GL material selection button. |

#### Returns

Name as a string owned by the selected GL material.

### gwy_gl_material_selection_set_active ()

    void
    gwy_gl_material_selection_set_active (GtkWidget *selection,
                                          const gchar *active);

Sets the currently selected GL material of a selection button.

#### Parameters

selection | GL material selection button. |
active | GL material name to be shown as currently selected. |

### gwy_resource_tree_view_set_active ()

    gboolean
    gwy_resource_tree_view_set_active (GtkWidget *treeview,
                                       const gchar *active);

Selects a resource in a list and scrolls to make it visible.

#### Parameters

treeview | A resource selector tree view. |
active | Resource name to be shown as currently selected. |

#### Returns

`TRUE` if `active` was selected, `FALSE` if there is no such resource.

## See Also

gwyradiobuttons

-- radio button constructors,

gwycombobox

-- combo box constructors